List Drivers
curl --request GET \
--url https://api.crosoftware.com/v0/locations/{location_id}/drivers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.crosoftware.com/v0/locations/{location_id}/drivers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.crosoftware.com/v0/locations/{location_id}/drivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_limit": 123,
"current_page": 123,
"results": [
{
"address": "<string>",
"can_convert_to_group": true,
"can_create_requests": true,
"can_edit_requests": true,
"can_reposition_asset": true,
"city": "<string>",
"disable_shift_tracking": true,
"email": "jsmith@example.com",
"id": 123,
"interface_color": "<string>",
"is_deactivated": true,
"license_number": "<string>",
"location_id": 123,
"name": "<string>",
"phone_number": "<string>",
"state": "<string>",
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"zip": "<string>",
"can_assign_to": [
123
],
"can_dispatch_to": [
123
]
}
],
"total_count": 123,
"total_pages": 123
}Drivers
List Drivers
List drivers for location.
GET
/
locations
/
{location_id}
/
drivers
List Drivers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Location identifier.
Query Parameters
Paged results page index (starting from 1).
Maximun number of results per page.
Response
200 - application/json
Success
Driver list (paged).